local defaults = {}
local loadings = 0
defaults = {
	["frame"] = {
		["infightshow"] = false,
		["energy"] = {
			["show"] = true, 
			["showwithmana"] = true,
			["size"] = {["width"]=400,  ["height"]=30},
			["positon"] = {["x"]=700,  ["y"]=-700},
			["bgcolor"]={["r"]=0, ["g"]=0, ["b"]=0, ["a"]=0.5},
			["color"]={["r"]=1, ["g"]=1, ["b"]=0, ["a"]=1},
			["border"] = {
				["color"]={["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
				["size"]=2
				},
			["bg"]="Interface\Buttons\WHITE8X8",
			["markers"]={
				["points"] = {["45"]=45, ["90"]=90,},
				["width"] = 3,
				["color"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
				["border"] = {
					["color"] = {["r"]=1, ["g"]=1, ["b"]=1, ["a"]=1},
					["size"] = 1,
					},
				},
			["text"]={
				["left"]={
					["text"]="{CurrentEnergy}",
					["font"]="Fonts\\FRIZQT__.TTF",
					["size"]=14,
					["align"]="left",
					["x"]=5, ["y"]=-7,
					["width"]=100,
					["color"]={["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					},
				["right"]={["font"]="Fonts\\FRIZQT__.TTF",
					["text"]="{MaxEnergy}",
					["size"]=14,
					["align"]="right",
					["x"]=-5, ["y"]=-7,
					["width"]=100,
					["color"]={["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					}
				}
			},
		["combo"] = {
			["show"] = true, 
			["measure"] = {
				["y"] = 100,
				["gap"] = 50,
				["offset"] = 20,
				["height"] = 30
				},
			["bg"] = {
				["color"] = {
					["1"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["2"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["3"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["4"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["5"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					},
				},
			["border"] = {
				["size"] = 1,
				["color"] = {
					["1"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["2"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["3"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["4"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					["5"] = {["r"]=0, ["g"]=0, ["b"]=0, ["a"]=1},
					},
				},
			}
		}
	}

function vexcombo_loaddefaults(force)
	loadings = 0
	vexcombo_parameters =  vexcombo_check_tablecontent(defaults, vexcombo_parameters, force)
	if not(force) then debugs.print(loadings, "Data loaded") end
	if force then vexcombo_initialize(true) end
	
end

function vexcombo_check_tablecontent(defaults, saved, force)
	local temp = {}
	if force or type(saved) ~= "table" then temp=defaults
	else
		for key,val in pairs(defaults) do
			if type(val) == "table" then
				temp[key] = {}
				if saved[key] == nil then
					temp[key] = val
					loadings=loadings+1
				else
					temp[key] = vexcombo_check_tablecontent(defaults[key], saved[key], force)
				end
			else
				if saved[key] == nil then
					temp[key] = val
					loadings=loadings+1
				else
					temp[key] = saved[key]
				end
			end
		end
	end
	return temp
end

function vexcombo_print_parameters()
	print(" ")
	print("|CFFFF7D0AListing OUTPUT|r")
	debugs.print(vexcombo_parameters, 'vexcombo_parameters')
	print("|CFFFF7D0AEnd of listing|r")
	print(" ")
end
